/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The Count model module.
 * @module model/Count
 * @version 2021.12-dev21
 */
class Count {
    /**
     * Constructs a new <code>Count</code>.
     * @alias module:model/Count
     * @param current {Number} 
     * @param max {Number} 
     * @param totalStake {Number} 
     */
    constructor(current, max, totalStake) { 
        
        Count.initialize(this, current, max, totalStake);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, current, max, totalStake) { 
        obj['current'] = current;
        obj['max'] = max;
        obj['total_stake'] = totalStake;
    }

    /**
     * Constructs a <code>Count</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Count} obj Optional instance to populate.
     * @return {module:model/Count} The populated <code>Count</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new Count();

            if (data.hasOwnProperty('current')) {
                obj['current'] = ApiClient.convertToType(data['current'], 'Number');
            }
            if (data.hasOwnProperty('max')) {
                obj['max'] = ApiClient.convertToType(data['max'], 'Number');
            }
            if (data.hasOwnProperty('total_stake')) {
                obj['total_stake'] = ApiClient.convertToType(data['total_stake'], 'Number');
            }
        }
        return obj;
    }


}

/**
 * @member {Number} current
 */
Count.prototype['current'] = undefined;

/**
 * @member {Number} max
 */
Count.prototype['max'] = undefined;

/**
 * @member {Number} total_stake
 */
Count.prototype['total_stake'] = undefined;






export default Count;

